'use strict';

const constants = {
	Object: 'Z1',
	ObjectType: 'Z1K1',
	Persistentobject: 'Z2',
	PersistentobjectId: 'Z2K1',
	PersistentobjectValue: 'Z2K2',
	PersistentobjectLabels: 'Z2K3',
	Key: 'Z3',
	KeyType: 'Z3K1',
	KeyId: 'Z3K2',
	KeyLabels: 'Z3K3',
	Type: 'Z4',
	TypeIdentity: 'Z4K1',
	TypeKeys: 'Z4K2',
	TypeValidator: 'Z4K3',
	Error: 'Z5',
	ErrorType: 'Z5K1',
	ErrorValue: 'Z5K2',
	String: 'Z6',
	StringValue: 'Z6K1',
	Functioncall: 'Z7',
	FunctioncallFunction: 'Z7K1',
	Function: 'Z8',
	FunctionArguments: 'Z8K1',
	FunctionReturntype: 'Z8K2',
	FunctionTesters: 'Z8K3',
	FunctionImplementations: 'Z8K4',
	FunctionIdentity: 'Z8K5',
	Reference: 'Z9',
	ReferenceValue: 'Z9K1',
	Monolingualtext: 'Z11',
	MonolingualtextLanguage: 'Z11K1',
	MonolingualtextText: 'Z11K2',
	Multilingualtext: 'Z12',
	MultilingualtextTexts: 'Z12K1',
	Argument: 'Z17',
	ArgumentType: 'Z17K1',
	ArgumentKey: 'Z17K2',
	ArgumentLabels: 'Z17K3',
	Nothing: 'Z23',
	Boolean: 'Z40',
	BooleanValue: 'Z40K1',
	True: 'Z41',
	False: 'Z42',
	If: 'Z802',
	IfCondition: 'Z802K1',
	IfThen: 'Z802K2',
	IfElse: 'Z802K3',
	FirstElement: 'Z811',
	FirstElementArg: 'Z811K1',
	Arabic: 'Z1001',
	English: 'Z1002',
	German: 'Z1430',
	Token: 'ZToken',
	TokenType: 'K1',
	TokenPosition: 'K2',
	TokenValue: 'K3',
	TokenZid: 'K4',
	TokenZidType: 'K5',
	Key1: 'K1',
	Key2: 'K2',
	Key3: 'K3'
};

exports.constants = constants;
